--- src/greylist.h.orig	2010-09-07 01:55:58.000000000 +0400
+++ src/greylist.h	2013-06-26 19:19:21.958909736 +0400
@@ -34,8 +34,18 @@
     unsigned long count, uts;
     if (!findTriplet(triplet, id, count, uts)) {
       insertTriplet(triplet);
-      extra.setPrefix("new");
-      return Core::defer;
+      if (_timeout == 0) {
+        /* collecting triplets (from http://mimo.gn.apc.org/greylist/configuration/policy):
+
+           There is no support for the init mode - create the database structure manually
+           and use timeout=0 to collect triplets without greylisting.
+        */
+        extra.set("ok", 0, _timeout);
+        return Core::dunno;
+      } else {
+        extra.setPrefix("new");
+        return Core::defer;
+      }
     }
     unsigned long lNow = getNow();
     unsigned long lTimeDiff = 0;
